Subject: Re: TEST: Sleep patch #4

From: Benjamin Herrenschmidt <[email-masked]>
Date: Tue, 23 Nov 2004 08:50:37 +1100

On Mon, 2004-11-22 at 18:04 +0100, Michael Schmitz wrote:
> > Ok, here's the 4th iteration of the patch. It includes John Steele Scott fixes for
> > cpufreq and the sound driver and fixes a problem where memory refresh wouldn't properly
> > be re-enabled on the video chip upon wakeup. I also cleaned a bit more the MDLL reset
> > code for r300, plus a couple of other things.
> >
> > http://gate.crashing.org/~benh/albook-ibookg4-sleep-4.diff
> 
> Sorry for coming late to the party ... the current code works nicely on
> the 17" PB. On the first boot with that code, I had the PLL freak out (or
> so it looked like) but I couldn't reproduce that. Needless to say, the
> new PLL fixup code produces the same dividers as the hardcoded fixup
> before, so it should work :-)

It reads them from OF at boot. What do you mean by "freak out" ? the
usual problem with those models where the display gets all fuzzy ? I'm
not completely sure what's up, I tend to blame the panel power sequence
nowadays ...

Ben.